
Foreman - Bug #14339

PuppetClassImporter doesn't respect access control or taxonomies

03/23/2016 06:29 PM - Sean O'Keeffe

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1329992 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

Unprivileged user can import classes and environments that are filtered out.

How reproducible:

always

Steps to Reproduce:

1. Create 2 puppet environments (env1, env2)

2. Import 2 puppet classes (ntp, motd) make both in env1 & only ntp in env2.

3. Create a limited access user so they have all access to env2 and motd. No access to env1 or ntp

4. Make changes to puppet class ntp in env2

5. hit Import from xxxx

6. page displayed will show changes about ntp in env2 (which it shouldn't, this user has no access to them)

7. Hit update and changes will by "imported"

Another slightly different example:

1. Create new org which your test user has no access to.

2. Create another environment on disk (env3) assign to this new org

3. Hit import from xxx as admin user (until there are no changes required)

4. login as test user, hit import from xxx

5. page will display new env3 (as your current user cannot view it)

6. hit update and you'll get "Validation failed: Name has already been taken" it tries to create new environment that is already in the

DB

Expected results:

"Import from xxx" to respect access controls of environments/puppetclasses taxonomies.

Tested on nightly but I believe it'll work in 1.10, i don't think there has been changes to this recently.

Related issues:

Related to Foreman - Bug #11328: "Name has already been taken" error when imp... Duplicate 08/11/2015

Related to Foreman - Bug #11453: Warning! Validation failed: Name has already... Duplicate 08/23/2015

Related to Foreman - Bug #12048: Unable to import puppet environment "product... Duplicate 10/02/2015

Related to Foreman - Tracker #10022: Taxonomies related issues New 04/05/2015

Related to Foreman - Bug #10906: Puppet environment import returns 500 becaus... New 06/23/2015

Has duplicate Foreman - Bug #14835: Filter "Puppet class" doesn't have Organi... Duplicate 04/26/2016

History

#1 - 03/23/2016 06:30 PM - Sean O'Keeffe

- Related to Bug #11328: "Name has already been taken" error when importing Puppet classes added

#2 - 03/23/2016 06:31 PM - Sean O'Keeffe

- Related to Bug #11453: Warning! Validation failed: Name has already been taken added
#3 - 03/23/2016 06:34 PM - Sean O'Keeffe

- Related to Bug #12048: Unable to import puppet environment "production" via foreman web interface added

#4 - 03/24/2016 03:26 AM - Marek Hulán

- Related to Tracker #10022: Taxonomies related issues added

#5 - 04/20/2016 02:56 AM - Dominic Cleal

- Related to Bug #10906: Puppet environment import returns 500 because it exists in different organization added

#6 - 04/26/2016 04:01 PM - Ivan Necas

- Has duplicate Bug #14835: Filter "Puppet class" doesn't have Organization and Location added

#7 - 04/26/2016 04:04 PM - Ivan Necas

- Bugzilla link set to 1329992

#8 - 04/28/2016 04:13 AM - Ivan Necas

- Category changed from Security to Organizations and Locations
